%YAML 1.2
---
version: 1.1

variable:

secret:
  type: secret
  params:
    min_len: 10

variable_disabled:
  disabled: true

variable_disabled_hidden:
  disabled: true
  hidden: true

variable_int:
  type: number

family:

  variable:

family_disabled:
  disabled: true

  variable1:

  variable2:

family_disabled_hidden:
  disabled: true
  hidden: true

  variable1:

  variable2:

dyn_{{ identifier }}:
  dynamic:
    - var1
    - var2

  variable:

leadership:
  type: leadership

  leader:

  follower:

  follower_disabled:
    disabled: true

  follower_disabled_at_index:
    disabled:
      jinja: >-
        {% if index == 1 %}
        true
        {% else %}
        {% endif %}
      params:
        index:
          type: index
...
